using System;

internal sealed class Delegate172 : MulticastDelegate
{
	public extern bool Invoke(object object_0, object object_1);

	public static bool smethod_0(object object_0, object object_1, Delegate172 delegate172_1)
	{
		return delegate172_1(object_0, object_1);
	}

	public extern Delegate172(object object_0, IntPtr intptr_0);

	static Delegate172()
	{
		Class10.smethod_13(typeof(Delegate172).TypeHandle);
	}

	internal static Delegate172 delegate172_0;
}
